# Uses of Enum
org.apache.zookeeper.server.quorum.QuorumPeer.LearnerType

Packages that use QuorumPeer.LearnerType
Package
Description
org.apache.zookeeper.server.quorum

## Uses of QuorumPeer.LearnerType in org.apache.zookeeper.server.quorum

Subclasses with type arguments of type QuorumPeer.LearnerType in org.apache.zookeeper.server.quorum
Modifier and Type
Class
Description
`static enum`
`QuorumPeer.LearnerType`
Fields in org.apache.zookeeper.server.quorum declared as QuorumPeer.LearnerType
Modifier and Type
Field
Description
`protected QuorumPeer.LearnerType`
QuorumPeerConfig.`peerType`
`QuorumPeer.LearnerType`
QuorumPeer.QuorumServer.`type`
Methods in org.apache.zookeeper.server.quorum that return QuorumPeer.LearnerType
Modifier and Type
Method
Description
`QuorumPeer.LearnerType`
LearnerHandler.`getLearnerType()`
`QuorumPeer.LearnerType`
QuorumPeer.`getLearnerType()`
`QuorumPeer.LearnerType`
QuorumPeerConfig.`getPeerType()`
`static QuorumPeer.LearnerType`
QuorumPeer.LearnerType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static QuorumPeer.LearnerType[]`
QuorumPeer.LearnerType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.zookeeper.server.quorum with parameters of type QuorumPeer.LearnerType
Modifier and Type
Method
Description
`void`
QuorumPeer.`setLearnerType(QuorumPeer.LearnerType p)`
Sets the LearnerType
Constructors in org.apache.zookeeper.server.quorum with parameters of type QuorumPeer.LearnerType
Modifier
Constructor
Description
``
`QuorumServer(long id, InetSocketAddress addr, InetSocketAddress electionAddr, InetSocketAddress clientAddr, QuorumPeer.LearnerType type)`
``
`QuorumServer(long id, InetSocketAddress addr, InetSocketAddress electionAddr, QuorumPeer.LearnerType type)`